For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get support
HomeDocsAPI ReferenceRelease Notes
HomeDocsAPI ReferenceRelease Notes
  • Payments API
    • POSTRefresh API Keys
    • POSTCharge
    • POSTCapture
    • POSTVoid or Refund
    • POSTCheck Surcharge
    • POSTCreate Hosted Payment Page
    • PUTEdit Hosted Payment Page
    • POSTCreate Vault Payment Account
    • GETGet Vault Payment Account
    • DELDelete a Vault Payment Account
    • PUTUpdate Vault Account Details
    • POSTCreate Billing Plan
    • GETGet Billing Plan
    • DELCancel Billing Plan
  • Authentication (Reporting & Boarding)
    • POSTGet access token
  • Reporting API
    • GETGet transactions data
    • GETGet deposits data
    • GETGet chargebacks data
    • GETGet adjustments data
  • Boarding API
    • GETList merchants
    • POSTCreate a new merchant
    • GETGet a single merchant
Get support
LogoLogo

Cancel Billing Plan

DELETE
https://javelin.runpayments.io/api/v1/billing_plans/:id
DELETE
/api/v1/billing_plans/:id
$curl -X DELETE https://javelin.runpayments.io/api/v1/billing_plans/1 \
> -H "Authorization: Bearer <token>"
1{
2 "id": 1024,
3 "success": true,
4 "schedule_status": "CANCELLED"
5}
Cancels all pending scheduled payments within a billing plan. This action cannot be undone.
Was this page helpful?
Previous

Get access token

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idintegerRequired
Billing Plan ID

Response

Billing plan cancelled successfully
idinteger
Unique identifier for the billing plan
successboolean
Indicates whether the operation was successful
schedule_statusenum
Current status of the billing plan schedule
Allowed values:

Errors

401
Unauthorized Error
404
Not Found Error